# HG changeset patch
# User Alois Schloegl <alois.schloegl@gmx.net>
# Date 1598786169 -7200
#      Sun Aug 30 13:16:09 2020 +0200
# Node ID 7cffacbe4d43df235a7bdf7e8e63a34889fdedcc
# Parent  81c6677445405278fe479d75074f6467fa4e5410
upgrade libbiosig and rename to biosig 2.0.6

diff -r 81c667744540 -r 7cffacbe4d43 index.html
--- a/index.html	Sun Aug 30 13:06:32 2020 +0200
+++ b/index.html	Sun Aug 30 13:16:09 2020 +0200
@@ -966,6 +966,10 @@
         <td class="website"><a href="http://www.gnu.org/software/binutils/">Binary File Descriptor library</a></td>
     </tr>
     <tr>
+        <td class="package">biosig</td>
+        <td class="website"><a href="https://biosig.sourceforge.io/">Biosig</a></td>
+    </tr>
+    <tr>
         <td class="package">blas</td>
         <td class="website"><a href="http://www.netlib.org/blas/">blas</a></td>
     </tr>
@@ -1506,10 +1510,6 @@
         <td class="website"><a  href="https://libb64.sourceforge.io/">libb64</a></td>
     </tr>
     <tr>
-        <td class="package">libbiosig</td>
-        <td class="website"><a  href="https://biosig.sourceforge.io/">libbiosig</a></td>
-    </tr>
-    <tr>
         <td class="package">libcdio</td>
         <td class="website"><a href="http://ftp.gnu.org/gnu/libcdio">Libcdio</a></td>
     </tr>
diff -r 81c667744540 -r 7cffacbe4d43 src/biosig.mk
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/biosig.mk	Sun Aug 30 13:16:09 2020 +0200
@@ -0,0 +1,68 @@
+# This file is part of MXE.
+# See index.html for further information.
+
+PKG             := biosig
+$(PKG)_WEBSITE  := http://biosig.sf.net/
+$(PKG)_IGNORE   :=
+$(PKG)_VERSION  := 2.0.6
+$(PKG)_CHECKSUM := 3c42b8e96347483f58ddff92f04c4d72ea1d27aa
+$(PKG)_SUBDIR   := biosig-$($(PKG)_VERSION)
+$(PKG)_FILE     := biosig-$($(PKG)_VERSION).src.tar.gz
+$(PKG)_URL      := https://sourceforge.net/projects/biosig/files/BioSig%20for%20C_C%2B%2B/src/$($(PKG)_FILE)
+$(PKG)_DEPS     := suitesparse zlib libb64 libiberty libiconv lapack tinyxml dcmtk
+
+define $(PKG)_UPDATE
+    $(WGET) -q -O- 'https://biosig.sourceforge.io/download.html' | \
+        $(SED) -n 's_.*>v\([0-9]\.[0-9]\.[0-9]\)<.*_\1_p' | \
+        head -1
+endef
+
+
+define $(PKG)_BUILD
+    cd '$(1)' && ./configure \
+        ac_cv_func_malloc_0_nonnull=yes \
+        ac_cv_func_realloc_0_nonnull=yes \
+        --prefix=$(HOST_PREFIX) \
+        $(HOST_AND_BUILD_CONFIGURE_OPTIONS)
+
+    # make sure NDEBUG is defined
+    $(SED) -i '/NDEBUG/ s|#||g' '$(1)'/biosig4c++/Makefile
+
+    TARGET=$(TARGET) CROSS=$(TARGET) $(MAKE) -C '$(1)' lib tools
+
+    # build mexbiosig package (does not install package)
+    # TARGET='$(TARGET)' $(MAKE) -C '$(1)'/biosig4c++ mexbiosig
+
+    # install files
+    $(INSTALL) -m644 '$(1)/biosig4c++/biosig.h'             '$(HOST_INCDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/biosig2.h'            '$(HOST_INCDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/gdftime.h'            '$(HOST_INCDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/biosig-dev.h'         '$(HOST_INCDIR)/'
+
+    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.a'          '$(HOST_LIBDIR)/'
+    #$(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.def'        '$(HOST_LIBDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.dll.a'      '$(HOST_LIBDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.dll'        '$(HOST_BINDIR)/'
+
+    $(INSTALL) -m644 '$(1)/biosig4c++/libgdf.a'             '$(HOST_LIBDIR)/'
+    #$(INSTALL) -m644 '$(1)/biosig4c++/libgdf.def'           '$(HOST_LIBDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libgdf.dll.a'         '$(HOST_LIBDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libgdf.dll'           '$(HOST_BINDIR)/'
+
+
+    $(INSTALL) -m644 '$(1)/biosig4c++/physicalunits.h'      '$(HOST_INCDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.a'   '$(HOST_LIBDIR)/'
+    #$(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.def' '$(HOST_LIBDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.dll.a' '$(HOST_LIBDIR)/'
+    $(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.dll' '$(HOST_BINDIR)/'
+
+    if [ "$(MXE_WINDOWS_BUILD)" == "yes" ]; then \
+        $(SED) -i '/^Libs:/ s/$$/ -liconv -lws2_32/' $(1)/biosig4c++/libbiosig.pc; \
+    fi
+    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.pc'         '$(HOST_LIBDIR)/pkgconfig/'
+
+    # install biosig4matlab
+    # $(INSTALL) -d $(HOST_PREFIX)/share/biosig/matlab
+    # cp -r '$(1)'/biosig4matlab/* $(HOST_PREFIX)/share/biosig/matlab/
+endef
+
diff -r 81c667744540 -r 7cffacbe4d43 src/libbiosig.mk
--- a/src/libbiosig.mk	Sun Aug 30 13:06:32 2020 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,68 +0,0 @@
-# This file is part of MXE.
-# See index.html for further information.
-
-PKG             := libbiosig
-$(PKG)_WEBSITE  := http://biosig.sf.net/
-$(PKG)_IGNORE   :=
-$(PKG)_VERSION  := 2.0.4
-$(PKG)_CHECKSUM := d3126f92b371c98bc75672ebc8c3242468338a57
-$(PKG)_SUBDIR   := biosig-$($(PKG)_VERSION)
-$(PKG)_FILE     := biosig-$($(PKG)_VERSION).src.tar.gz
-$(PKG)_URL      := https://sourceforge.net/projects/biosig/files/BioSig%20for%20C_C%2B%2B/src/$($(PKG)_FILE)
-$(PKG)_DEPS     := suitesparse zlib libiberty libiconv lapack tinyxml dcmtk
-
-define $(PKG)_UPDATE
-    $(WGET) -q -O- 'https://biosig.sourceforge.io/download.html' | \
-        $(SED) -n 's_.*>v\([0-9]\.[0-9]\.[0-9]\)<.*_\1_p' | \
-        head -1
-endef
-
-
-define $(PKG)_BUILD
-    cd '$(1)' && ./configure \
-        ac_cv_func_malloc_0_nonnull=yes \
-        ac_cv_func_realloc_0_nonnull=yes \
-        --prefix=$(HOST_PREFIX) \
-        $(HOST_AND_BUILD_CONFIGURE_OPTIONS)
-
-    # make sure NDEBUG is defined
-    $(SED) -i '/NDEBUG/ s|#||g' '$(1)'/biosig4c++/Makefile
-
-    TARGET=$(TARGET) CROSS=$(TARGET) $(MAKE) -C '$(1)' lib
-
-    # build mexbiosig package (does not install package)
-    # TARGET='$(TARGET)' $(MAKE) -C '$(1)'/biosig4c++ mexbiosig
-
-    # install files
-    $(INSTALL) -m644 '$(1)/biosig4c++/biosig.h'             '$(HOST_INCDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/biosig2.h'            '$(HOST_INCDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/gdftime.h'            '$(HOST_INCDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/biosig-dev.h'         '$(HOST_INCDIR)/'
-
-    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.a'          '$(HOST_LIBDIR)/'
-    #$(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.def'        '$(HOST_LIBDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.dll.a'      '$(HOST_LIBDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.dll'        '$(HOST_BINDIR)/'
-
-    $(INSTALL) -m644 '$(1)/biosig4c++/libgdf.a'             '$(HOST_LIBDIR)/'
-    #$(INSTALL) -m644 '$(1)/biosig4c++/libgdf.def'           '$(HOST_LIBDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libgdf.dll.a'         '$(HOST_LIBDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libgdf.dll'           '$(HOST_BINDIR)/'
-
-
-    $(INSTALL) -m644 '$(1)/biosig4c++/physicalunits.h'      '$(HOST_INCDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.a'   '$(HOST_LIBDIR)/'
-    #$(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.def' '$(HOST_LIBDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.dll.a' '$(HOST_LIBDIR)/'
-    $(INSTALL) -m644 '$(1)/biosig4c++/libphysicalunits.dll' '$(HOST_BINDIR)/'
-
-    if [ "$(MXE_WINDOWS_BUILD)" == "yes" ]; then \
-        $(SED) -i '/^Libs:/ s/$$/ -liconv -lws2_32/' $(1)/biosig4c++/libbiosig.pc; \
-    fi
-    $(INSTALL) -m644 '$(1)/biosig4c++/libbiosig.pc'         '$(HOST_LIBDIR)/pkgconfig/'
-
-    # install biosig4matlab
-    # $(INSTALL) -d $(HOST_PREFIX)/share/biosig/matlab
-    # cp -r '$(1)'/biosig4matlab/* $(HOST_PREFIX)/share/biosig/matlab/
-endef
-
